#ifndef ATA_H
#define ATA_H

#define EOK             (0)
#define EATA_DEV_FAIL   (1)

#define ATA_UNKNOWN	(0)
#define ATA_PATA	(1)
#define ATA_SATA	(2)
#define ATA_PATAPI	(3)
#define ATA_SATAPI	(4)


int ata_init();
int ata_detect(int slave);
int ata_read(uint32_t lba, uint8_t count, unsigned char *buf);
int ata_write(uint32_t lba, uint8_t sector_count, unsigned char *buf);

#endif
